#include <iostream>
#include <cmath>

using namespace std;

using ll = long long;

// Проверка дали число е просто
bool isPrime(ll x) {
    if (x < 2) {
        return false;
    }

    for (ll d = 2; d * d <= x; d++) {
        if (x % d == 0) {
            return false;
        }
    }

    return true;
}

// Брой делители
ll countDivisors(ll x) {
    ll cnt = 0;

    for (ll d = 1; d * d <= x; d++) {
        if (x % d == 0) {
            cnt++;

            if (d * d != x) {
                cnt++;
            }
        }
    }

    return cnt;
}

int main() {
    ll l, r;
    cin >> l >> r;

    ll answer = 0;

    for (ll x = l; x <= r; x++) {

        // x трябва да е съставно
        if (isPrime(x)) {
            continue;
        }

        // брой делители
        ll divisors = countDivisors(x);

        // броят делители трябва да е просто число
        if (isPrime(divisors)) {
            answer++;
        }
    }

    cout << answer << '\n';

    return 0;
}